BUF_LOCKFREE(9)

NAME
BUF_LOCKFREE - destroys a buffer's lock

SYNOPSIS
#include <sys/param.h>
#include <sys/systm.h>
#include <sys/uio.h>
#include <sys/bio.h>
#include <sys/buf.h>
void
BUF_LOCKFREE(struct buf *bp);

DESCRIPTION
The BUF_LOCKFREE() macro destroys the buffer lock. The lock must not be held when this macro is called or a panic will result.

Its argument is:

bp  The buffer whose lock is to be destroyed.

SEE ALSO
buf(9), BUF_LOCK(9), BUF_TIMELOCK(9), BUF_UNLOCK(9), lockdestroy(9)

AUTHORS
This manual page was written by Chad David <davidc@acns.ab.ca>.